"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ZBarConfigType = exports.ZBarSymbolType = void 0;
var ZBarSymbolType;
(function (ZBarSymbolType) {
    ZBarSymbolType[ZBarSymbolType["ZBAR_NONE"] = 0] = "ZBAR_NONE"; /**< no symbol decoded */
    ZBarSymbolType[ZBarSymbolType["ZBAR_PARTIAL"] = 1] = "ZBAR_PARTIAL"; /**< intermediate status */
    ZBarSymbolType[ZBarSymbolType["ZBAR_EAN8"] = 8] = "ZBAR_EAN8"; /**< EAN-8 */
    ZBarSymbolType[ZBarSymbolType["ZBAR_UPCE"] = 9] = "ZBAR_UPCE"; /**< UPC-E */
    ZBarSymbolType[ZBarSymbolType["ZBAR_ISBN10"] = 10] = "ZBAR_ISBN10"; /**< ISBN-10 (from EAN-13). @since 0.4 */
    ZBarSymbolType[ZBarSymbolType["ZBAR_UPCA"] = 12] = "ZBAR_UPCA"; /**< UPC-A */
    ZBarSymbolType[ZBarSymbolType["ZBAR_EAN13"] = 13] = "ZBAR_EAN13"; /**< EAN-13 */
    ZBarSymbolType[ZBarSymbolType["ZBAR_ISBN13"] = 14] = "ZBAR_ISBN13"; /**< ISBN-13 (from EAN-13). @since 0.4 */
    ZBarSymbolType[ZBarSymbolType["ZBAR_I25"] = 25] = "ZBAR_I25"; /**< Interleaved 2 of 5. @since 0.4 */
    ZBarSymbolType[ZBarSymbolType["ZBAR_CODE39"] = 39] = "ZBAR_CODE39"; /**< Code 39. @since 0.4 */
    ZBarSymbolType[ZBarSymbolType["ZBAR_PDF417"] = 57] = "ZBAR_PDF417"; /**< PDF417. @since 0.6 */
    ZBarSymbolType[ZBarSymbolType["ZBAR_QRCODE"] = 64] = "ZBAR_QRCODE"; /**< QR Code. @since 0.10 */
    ZBarSymbolType[ZBarSymbolType["ZBAR_CODE128"] = 128] = "ZBAR_CODE128"; /**< Code 128 */
    ZBarSymbolType[ZBarSymbolType["ZBAR_SYMBOL"] = 255] = "ZBAR_SYMBOL"; /**< mask for base symbol type */
    ZBarSymbolType[ZBarSymbolType["ZBAR_ADDON2"] = 512] = "ZBAR_ADDON2"; /**< 2-digit add-on flag */
    ZBarSymbolType[ZBarSymbolType["ZBAR_ADDON5"] = 1280] = "ZBAR_ADDON5"; /**< 5-digit add-on flag */
    ZBarSymbolType[ZBarSymbolType["ZBAR_ADDON"] = 1792] = "ZBAR_ADDON"; /**< add-on flag mask */
})(ZBarSymbolType = exports.ZBarSymbolType || (exports.ZBarSymbolType = {}));
var ZBarConfigType;
(function (ZBarConfigType) {
    ZBarConfigType[ZBarConfigType["ZBAR_CFG_ENABLE"] = 0] = "ZBAR_CFG_ENABLE"; /**< enable symbology/feature */
    ZBarConfigType[ZBarConfigType["ZBAR_CFG_ADD_CHECK"] = 1] = "ZBAR_CFG_ADD_CHECK"; /**< enable check digit when optional */
    ZBarConfigType[ZBarConfigType["ZBAR_CFG_EMIT_CHECK"] = 2] = "ZBAR_CFG_EMIT_CHECK"; /**< return check digit when present */
    ZBarConfigType[ZBarConfigType["ZBAR_CFG_ASCII"] = 3] = "ZBAR_CFG_ASCII"; /**< enable full ASCII character set */
    ZBarConfigType[ZBarConfigType["ZBAR_CFG_NUM"] = 4] = "ZBAR_CFG_NUM"; /**< number of boolean decoder configs */
    ZBarConfigType[ZBarConfigType["ZBAR_CFG_MIN_LEN"] = 32] = "ZBAR_CFG_MIN_LEN"; /**< minimum data length for valid decode */
    ZBarConfigType[ZBarConfigType["ZBAR_CFG_MAX_LEN"] = 33] = "ZBAR_CFG_MAX_LEN"; /**< maximum data length for valid decode */
    ZBarConfigType[ZBarConfigType["ZBAR_CFG_UNCERTAINTY"] = 64] = "ZBAR_CFG_UNCERTAINTY"; /**< required video consistency frames */
    ZBarConfigType[ZBarConfigType["ZBAR_CFG_POSITION"] = 128] = "ZBAR_CFG_POSITION"; /**< enable scanner to collect position data */
    ZBarConfigType[ZBarConfigType["ZBAR_CFG_X_DENSITY"] = 256] = "ZBAR_CFG_X_DENSITY"; /**< image scanner vertical scan density */
    ZBarConfigType[ZBarConfigType["ZBAR_CFG_Y_DENSITY"] = 257] = "ZBAR_CFG_Y_DENSITY"; /**< image scanner horizontal scan density */
})(ZBarConfigType = exports.ZBarConfigType || (exports.ZBarConfigType = {}));
//# sourceMappingURL=enum.js.map